Subject: Re: Localization: Timestamps get wrong if using different locales

From: Christoph Miebach <[email-masked]>
Date: Sat, 11 Aug 2012 18:22:35 +0200

Hello!

What I am doing is:
invoking a bash script that does the

git add ${i##$TXPATH/}/strings.xml

git commit --author="$AUTHOR" ${i##$TXPATH\/}/strings.xml -m "l10n: 
$LNAME update"

after a user confirmation.

IIUC setting LANGUAGE=en at the top of this script _did_ help.
So I run everything with german locale for reproducing this.

On 05.08.2012 22:47, Junio C Hamano wrote:
> Christoph Miebach <[email-masked]> writes:
>
>> Running this commands locally (german locale) lead to some wrong dates
>> for the patches upstream.
>>
>> git format-patch -o patches origin
>
> What does "git show -s --pretty=fuller HEAD" give you at this point?
> This is to check what kind of timestamps are stored in the original
> commit objects.

See pretty_fuller.txt

> And what does "grep '^Date: ' patches/0001-*" show you at this point?
> This is to see if the problem is at the "format-patch" step.

See date_grep.txt

>> git send-email --compose --no-chain-reply-to --to [email-masked]
>> --suppress-cc=author patches/0001-l10n-Turkish-update.patch
>
> And what does "grep '^Date: '" for the message that is received by
> recipients show at this step?  They cannot be
>
>>
>>
>> The local
>> Date: Sat, 4 Aug 2012
>> became
>>        Wed, 8 Dec 2004
>
> as these two do not even have times and zones.  It should read
> something like
>
>      Date: Sun, 05 Aug 2012 13:39:12 -0700
>
> or something.

It was a complete line. I just did not copy all of it, for I thought I 
already pointed out the problem.

The recipient uses en_CA.UTF-8 and guesses:
Date: 12-08-05 06:10 PM
it is Y-M-D, but git thinks it's M-Y-D

> Also "Date" on which message do you see your problem with?  The one
> that is created with --compose?  Or the one that was originally
> produced by format-patch and then sent?  Or both?

git log should show the translators name ($AUTHOR in the git commit line)

Sorry for the late (and probably still incomplete) reply. I can provide 
a complete example or send a patch to a dummy project if you prefer some 
time next week, I hope.

Regards

Christoph